com.google.gwt.resources.gss

## Class ExtendedConditionalNodeVisitor

- java.lang.Object
- - com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor
  - - com.google.gwt.resources.gss.ExtendedConditionalNodeVisitor

- All Implemented Interfaces:
    com.google.gwt.thirdparty.common.css.compiler.ast.AtRuleHandler, com.google.gwt.thirdparty.common.css.compiler.ast.CssTreeVisitor
  Direct Known Subclasses:
    BooleanConditionCollector, PermutationsCollector

      public class ExtendedConditionalNodeVisitor
      extends com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor

  GSS doesn't visit the children of a CssConditionalRuleNode. The role of this class is to implement this behavior.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedConditionalNodeVisitor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `enterBooleanExpression(com.google.gwt.thirdparty.common.css.compiler.ast.CssBooleanExpressionNode node)`
    `boolean` | `enterConditionalRule(com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalRuleNode node)`

    - ### Methods inherited from class com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor

      `enterArgumentNode, enterAttributeSelector, enterBlock, enterClassSelector, enterCombinator, enterComponent, enterCompositeValueNode, enterCompositeValueNodeOperator, enterConditionalBlock, enterDeclaration, enterDeclarationBlock, enterDefinition, enterFontFace, enterForLoop, enterFunctionNode, enterIdSelector, enterImportBlock, enterImportRule, enterKey, enterKeyBlock, enterKeyframeRuleset, enterKeyframesRule, enterMediaRule, enterMediaTypeListDelimiter, enterMixin, enterMixinDefinition, enterPageRule, enterPageSelector, enterPropertyValue, enterProvideNode, enterPseudoClass, enterPseudoElement, enterRequireNode, enterRuleset, enterSelector, enterSelectorBlock, enterTree, enterUnknownAtRule, enterValueNode, leaveArgumentNode, leaveAttributeSelector, leaveBlock, leaveClassSelector, leaveCombinator, leaveComponent, leaveCompositeValueNode, leaveCompositeValueNodeOperator, leaveConditionalBlock, leaveConditionalRule, leaveDeclaration, leaveDeclarationBlock, leaveDefinition, leaveFontFace, leaveForLoop, leaveFunctionNode, leaveIdSelector, leaveImportBlock, leaveImportRule, leaveKey, leaveKeyBlock, leaveKeyframeRuleset, leaveKeyframesRule, leaveMediaRule, leaveMediaTypeListDelimiter, leaveMixin, leaveMixinDefinition, leavePageRule, leavePageSelector, leavePropertyValue, leaveProvideNode, leavePseudoClass, leavePseudoElement, leaveRequireNode, leaveRuleset, leaveSelector, leaveSelectorBlock, leaveTree, leaveUnknownAtRule, leaveValueNode, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedConditionalNodeVisitor

          public ExtendedConditionalNodeVisitor()

  - ### Method Detail

    - #### enterConditionalRule

          public boolean enterConditionalRule(com.google.gwt.thirdparty.common.css.compiler.ast.CssConditionalRuleNode node)

      Specified by:
        `enterConditionalRule` in interface `com.google.gwt.thirdparty.common.css.compiler.ast.AtRuleHandler`
      Overrides:
        `enterConditionalRule` in class `com.google.gwt.thirdparty.common.css.compiler.ast.DefaultTreeVisitor`

    - #### enterBooleanExpression

          public void enterBooleanExpression(com.google.gwt.thirdparty.common.css.compiler.ast.CssBooleanExpressionNode node)